import { GraphLayout, GraphLayoutOptions } from "../../core/graph-layout.js";
import { Node } from "../../graph/node.js";
import { Graph } from "../../graph/graph.js";
export type HivePlotLayoutOptions = GraphLayoutOptions & {
    innerRadius?: number;
    outerRadius?: number;
    getNodeAxis?: (node: Node) => any;
};
export declare class HivePlotLayout extends GraphLayout<HivePlotLayoutOptions> {
    static defaultOptions: {
        readonly innerRadius: 100;
        readonly outerRadius: 500;
        readonly getNodeAxis: (node: Node) => unknown;
    };
    _name: string;
    _graph: Graph;
    _totalAxis: number;
    _axis: Record<string, any>;
    _nodeMap: {};
    _nodePositionMap: {};
    constructor(options?: HivePlotLayoutOptions);
    initializeGraph(graph: Graph): void;
    updateGraph(graph: any): void;
    start(): void;
    getNodePosition: (node: any) => any;
    getEdgePosition: (edge: any) => {
        type: string;
        sourcePosition: any;
        targetPosition: any;
        controlPoints: [number, number][];
    };
    lockNodePosition: (node: any, x: any, y: any) => void;
}
//# sourceMappingURL=hive-plot-layout.d.ts.map