import { Component } from 'preact';
import type { Deck, Viewport, Widget, WidgetPlacement } from '@deck.gl/core';
export declare const ViewControlWrapper: ({ children }: {
    children: any;
}) => import("preact").JSX.Element;
export declare const NavigationButtonContainer: ({ children }: {
    children: any;
}) => import("preact").JSX.Element;
export type NavigationButtonProps = {
    left: any;
    top: any;
    rotate?: number;
    children?: any;
    onClick?: () => void;
};
export declare const NavigationButton: (props: NavigationButtonProps) => import("preact").JSX.Element;
export declare const ZoomControlWrapper: ({ children }: {
    children: any;
}) => import("preact").JSX.Element;
export declare const VerticalSlider: ({ children }: {
    children: any;
}) => import("preact").JSX.Element;
export declare const ZoomControlButton: ({ children }: {
    children: any;
}) => import("preact").JSX.Element;
export type ViewControlProps = {
    id?: string;
    viewId?: string;
    placement?: WidgetPlacement;
    fitBounds: () => void;
    panBy?: (dx: number, dy: number) => void;
    zoomBy?: (delta: number) => void;
    zoomLevel: number;
    minZoom: number;
    maxZoom: number;
    deltaPan: number;
    deltaZoom: number;
    /** CSS inline style overrides. */
    style?: Partial<CSSStyleDeclaration>;
    /** Additional CSS class. */
    className?: string;
};
export declare class ViewControl extends Component<ViewControlProps> {
    static displayName: string;
    static defaultProps: Required<ViewControlProps>;
    panUp: () => void;
    panDown: () => void;
    panLeft: () => void;
    panRight: () => void;
    zoomIn: () => void;
    zoomOut: () => void;
    onChangeZoomLevel: (evt: any) => void;
    render(): import("preact").JSX.Element;
}
export declare class ViewControlWidget implements Widget<ViewControlProps> {
    id: string;
    props: ViewControlProps;
    placement: WidgetPlacement;
    orientation: 'vertical' | 'horizontal';
    viewId?: string | null;
    viewports: {
        [id: string]: Viewport;
    };
    deck?: Deck<any>;
    element?: HTMLDivElement;
    constructor(props: ViewControlProps);
    onAdd({ deck }: {
        deck: Deck<any>;
    }): HTMLDivElement;
    onRemove(): void;
    setProps(props: Partial<ViewControlProps>): void;
    onViewportChange(viewport: Viewport): void;
    handleDeltaZoom(deltaZoom: number): void;
    handlePanBy(deltaX: number, deltaY: number): void;
    handleZoomView(viewport: Viewport, nextZoom: number): void;
    handlePanViewport(viewport: Viewport, deltaX: number, deltaY: number): void;
}
//# sourceMappingURL=view-control-widget.d.ts.map